View Issue Details

IDProjectCategoryView StatusLast Update
0001289Far ManagerMacropublic2010-04-25 21:14
ReporterSUSimAssigned Tovskirdin 
PrioritylowSeverityblockReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version2.0 
Target VersionFixed in Version2.0 
Summary0001289: Макрос replace("?","","!")) вызывает зацикливание/зависние Far
DescriptionМакрос Result=replace(Str,Find,Replace[,Cnt]) при Find="" вызывает зависание/зацикливание Far!
На мой взгляд при пустой строке поиска надо возвращать исходную строку без изменений, то есть при Result=replace(Str,"",Replace) должно быть Result==Str.
TagsNo tags attached.
Build1419

Activities

vskirdin

2010-02-22 20:42

administrator   bugnote:0004995

build 1419

vskirdin

2010-03-18 12:39

administrator   bugnote:0005065

еще актуально?

Issue History

Date Modified Username Field Change
2010-02-22 17:53 SUSim New Issue
2010-02-22 20:41 vskirdin Status new => assigned
2010-02-22 20:41 vskirdin Assigned To => vskirdin
2010-02-22 20:42 vskirdin Note Added: 0004995
2010-02-22 20:42 vskirdin Status assigned => feedback
2010-03-18 12:39 vskirdin Note Added: 0005065
2010-04-25 21:14 DrKnS Build => 1419
2010-04-25 21:14 DrKnS Status feedback => closed
2010-04-25 21:14 DrKnS Resolution open => fixed
2010-04-25 21:14 DrKnS Fixed in Version => 2.0